{ ... }:

{
  imports = [
    ./applications/common.nix
    ./applications/steam.nix
    ./applications/thunar.nix

    ./services/docker.nix
    ./services/quickemu.nix
    ./services/sunshine.nix
    ./services/garbage-collection.nix

    ./hardware/bluetooth.nix
    ./hardware/fprint.nix
    ./hardware/locale.nix
    ./hardware/nvidia.nix
    ./hardware/firewall.nix
    ./hardware/printing.nix

    ./desktop-environments/cosmic.nix
    ./desktop-environments/hyprland.nix
    ./desktop-environments/gnome.nix

    ./display-managers/default.nix
  ];
}
